#!/bin/sh

PROG_NAME='benchmark_app'
RUN_DIR="$HOME/inference_engine_samples_build/intel64/Release/"
DEVICE="CPU"
MODEL_FILE="$HOME/model/public/FP32/squeezenet1.1.xml"

echo [$PROG_NAME.sh] \'$PROG_NAME\' Run !!
cd $RUN_DIR

if [ $# = 1 ]
then
    DEVICE=$1
    if [ $1 = 'GPU32' ]
    then
        DEVICE="GPU"
    elif [ $1 = 'GPU16' ]
    then
        DEVICE="GPU"
        MODEL_FILE="$HOME/model/public/FP16/squeezenet1.1.xml"
    elif [ $1 = 'CPU32' ]
    then
        DEVICE="CPU"
        MODEL_FILE="$HOME/model/public/FP32/squeezenet1.1.xml"
    elif [ $1 = 'CPU16' ]
    then
        DEVICE="CPU"
        MODEL_FILE="$HOME/model/public/FP16/squeezenet1.1.xml"
    elif [ $1 = 'MYRIAD' ]
    then
        DEVICE="MYRIAD"
        MODEL_FILE="$HOME/model/public/FP16/squeezenet1.1.xml"
    elif [ $1 = 'NCS2' ]
    then
        DEVICE="MYRIAD"
        MODEL_FILE="$HOME/model/public/FP16/squeezenet1.1.xml"
    fi
elif [ $# = 2 ]
then
    DEVICE=$1
    MODEL_FILE=$2
elif [ $# = 3 ]
then
    DEVICE=$1
    MODEL_FILE=$2
    INPUT_FILE="-i $3"
fi

echo \'command: ./$PROG_NAME -d $DEVICE -m $MODEL_FILE $INPUT_FILE -pc -niter 1000\'

./$PROG_NAME -d $DEVICE -m $MODEL_FILE $INPUT_FILE -pc -niter 1000
