#!/bin/sh

PROG_NAME='interactive_face_detection_demo'
RUN_DIR="$HOME/omz_demos_build/intel64/Release/"
DEF_FILE="$HOME/Videos/emotion2_m.mp4"
MODEL_FILE1="$HOME/model/intel/FP32/face-detection-adas-0001.xml"
MODEL_FILE2="$HOME/model/intel/FP32/age-gender-recognition-retail-0013.xml"
MODEL_FILE3="$HOME/model/intel/FP32/head-pose-estimation-adas-0001.xml"
MODEL_FILE4="$HOME/model/intel/FP32/emotions-recognition-retail-0003.xml"
MODEL_FILE5="$HOME/model/intel/FP32/facial-landmarks-35-adas-0002.xml"
MODEL_FILE6="$HOME/model/public/FP32/anti-spoof-mn3.xml"

echo [$PROG_NAME.sh] \'$PROG_NAME\' Run !!
cd $RUN_DIR

INPUT_PREF='-i'
if [ $# = 0 ]
then
    INPUT_FILE=$DEF_FILE
elif [ $# = 1 ]
then
    INPUT_FILE=$1
    if [ $1 = 'cam' ]
    then
        INPUT_FILE='0'
    fi
fi

./$PROG_NAME -loop $INPUT_PREF $INPUT_FILE -m $MODEL_FILE1 -m_ag $MODEL_FILE2 -m_hp $MODEL_FILE3 -m_em $MODEL_FILE4 -m_lm $MODEL_FILE5 -m_am $MODEL_FILE6
